{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "@DatatourismeWebApp/public_layout.html.twig" %}

{% block content_container %}
    <div class="container" style="padding-top: 7%;padding-bottom: 7%;">
        <div class="row">
            <div class="col-lg-offset-2 col-lg-4 col-sm-6">
                <div class="box box-widget">
                    <div class="box-body p-15">
                        <p class="text-muted m-b-10">{{ 'text.login' | trans }} :</p>

                        {% if error %}
                            <div class="alert alert-danger">{{ error.messageKey | trans(error.messageData, 'security') }}</div>
                        {% endif %}

                        <form method="post">
                            <div class="form-group has-feedback">
                                <input type="email" id="username" name="_username" value="{{ last_username }}" class="form-control" placeholder="{{ 'label.email' | trans }}" autocomplete="off"> <span
                                        class="fa fa-envelope form-control-feedback"></span>
                            </div>
                            <div class="form-group has-feedback">
                                <input type="password" id="password" name="_password" class="form-control" placeholder="{{ 'label.password' | trans }}" autocomplete="off"> <span
                                        class="fa fa-lock form-control-feedback"></span>
                            </div>
                            <input type="hidden" name="_failure_path" value="{{ app.request.getRequestUri() }}" />
                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                            <button class="btn btn-primary btn-block" type="submit">{{ 'btn.login' | trans }}</button>
                        </form>
                    </div>
                    <div class="box-footer">
                        <a href="{{ path('security.reset_password') }}">{{ 'link.forgotten_password' | trans }}</a><br>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-sm-6">
                <div class="box box-widget m-b-0">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{ 'title.invite_register' | trans }}</h3>
                    </div>
                    <div class="box-body p-15">
                        <p class="text-muted m-b-20">{{ 'text.invite_register' | trans }}</p>
                        <a href="{{ path('security.register') }}" class="btn btn-primary btn-block">{{ 'btn.register' | trans }}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}